<?
require_once($_SERVER["DOCUMENT_ROOT"].BX_ROOT."/modules/scoder.tools/include.php");
use Bitrix\Main\Loader; 
use Bitrix\Main\Config\Option; 
use Bitrix\Main\Localization\Loc; 
$module_id = "scoder.tools";
$POST_RIGHT = $APPLICATION->GetGroupRight("scoder.tools");

if ($POST_RIGHT < "R")
	$APPLICATION->AuthForm(GetMessage("ACCESS_DENIED"));


Loc::loadMessages($_SERVER["DOCUMENT_ROOT"].BX_ROOT."/modules/main/options.php"); 
Loc::loadMessages(__FILE__); 

$aTabs = array(
	array("DIV" => "edit1", "TAB" => GetMessage("SCODER_TAB1_TITLE"), "ICON" => "scoder_tools_settings", "TITLE" => GetMessage("SCODER_TAB1_DESCRIPTION")),
);
$tabControl = new CAdminTabControl("tabControl", $aTabs);

if($REQUEST_METHOD=="POST" && strlen($Update.$Apply.$RestoreDefaults)>0 && check_bitrix_sessid())
{		
	if(strlen($RestoreDefaults)>0)
	{
		$z = CGroup::GetList($v1="id",$v2="asc", array("ACTIVE" => "Y", "ADMIN" => "N"));
		while($zr = $z->Fetch())
			$APPLICATION->DelGroupRight($module_id, array($zr["ID"]));
		Option::delete($module_id);
	}
	else
	{
		Option::set($module_id, "ACTIVE_SET_STATUS",$ACTIVE_SET_STATUS);
		//Option::set($module_id, "ALL_STATUS_URL",$ALL_STATUS_URL);
		Option::set($module_id, "ORDER_STATUS_URL",$ORDER_STATUS_URL);
		Option::set($module_id, "IMSHOP_IO_SITE_ID",$IMSHOP_IO_SITE_ID);
		Option::set($module_id, "PERSON_TYPE_ID", (int)$PERSON_TYPE_ID);
		Option::set($module_id, "OTP_LENGTH", (int)$OTP_LENGTH);
		Option::set($module_id, "IMSHOP_TIMEOUT", (int)$IMSHOP_TIMEOUT);
	}
	if(strlen($Update)>0 && strlen($_REQUEST["back_url_settings"])>0)
		LocalRedirect($_REQUEST["back_url_settings"]);
	else
		LocalRedirect($APPLICATION->GetCurPage()."?mid=".urlencode($module_id)."&lang=".urlencode(LANGUAGE_ID)."&back_url_settings=".urlencode($_REQUEST["back_url_settings"])."&".$tabControl->ActiveTabParam());
}
if(strlen($strWarning)>0)
	CAdminMessage::ShowNote($strWarning);


$tabControl->Begin();
?>
<form method="post" action="<?echo $APPLICATION->GetCurPage()?>?mid=<?=urlencode($module_id)?>&amp;lang=<?=LANGUAGE_ID?>">
<?=bitrix_sessid_post();?>

<?$tabControl->BeginNextTab();?>

	<tr>
		<td width="50%"><?=Loc::getMessage('SCODER_IMSHOP_IO_ACTIVE_SET_STATUS')?></td>
		<td>
			<input type="hidden" name="ACTIVE_SET_STATUS" value="N" />
			<input type="checkbox" name="ACTIVE_SET_STATUS" value="Y" <?if (Option::get($module_id, "ACTIVE_SET_STATUS") == "Y") echo 'checked';?> />
		</td>
	</tr>
	<?/*
	<tr>
		<td width="50%"><b><?=Loc::getMessage('SCODER_IMSHOP_IO_ALL_STATUS_URL')?></b></td>
		<td>
			<input type="text" name="ALL_STATUS_URL" value="<?=Option::get($module_id, "ALL_STATUS_URL");?>" size="100" />
		</td>
	</tr>
	*/?>
	<tr>
		<td width="50%"><b><?=Loc::getMessage('SCODER_IMSHOP_IO_ORDER_STATUS_URL')?></b></td>
		<td>
			<input type="text" name="ORDER_STATUS_URL" value="<?=Option::get($module_id, "ORDER_STATUS_URL");?>" size="100" />
		</td>
	</tr>
	<tr>
		<td width="50%"><b><?=Loc::getMessage('SCODER_IMSHOP_IO_SITE_ID')?></b></td>
		<td>
			<input type="text" name="IMSHOP_IO_SITE_ID" value="<?=Option::get($module_id, "IMSHOP_IO_SITE_ID");?>" size="4" maxlength="4"  />
		</td>
	</tr>
	<tr>
		<td width="50%"><b><?=Loc::getMessage('SCODER_IMSHOP_IO_PERSON_TYPE_ID')?></b></td>
		<td>
			<input type="text" name="PERSON_TYPE_ID" value="<?=Option::get($module_id, "PERSON_TYPE_ID");?>" size="4" maxlength="4"  />
		</td>
	</tr>
	<tr>
		<td width="50%"><b><?=Loc::getMessage('SCODER_IMSHOP_IO_OTP_LENGTH')?></b></td>
		<td>
			<input type="text" name="OTP_LENGTH" value="<?=Option::get($module_id, "OTP_LENGTH");?>" size="4" maxlength="4"  />
		</td>
	</tr>
	<tr>
		<td width="50%"><b><?=Loc::getMessage('SCODER_IMSHOP_IO_IMSHOP_TIMEOUT')?></b></td>
		<td>
			<input type="text" name="IMSHOP_TIMEOUT" value="<?=Option::get($module_id, "IMSHOP_TIMEOUT");?>" size="4" maxlength="4"  />
		</td>
	</tr>
<?$tabControl->Buttons();?>
	<script type="text/javascript">
	function RestoreDefaults()
	{
		if (confirm('<? echo GetMessageJS("MAIN_HINT_RESTORE_DEFAULTS_WARNING"); ?>'))
			window.location = "<?echo $APPLICATION->GetCurPage()?>?RestoreDefaults=Y&lang=<?echo LANGUAGE_ID; ?>&mid=<?echo urlencode($module_id)?>&<?=bitrix_sessid_get()?>";
	}
	</script>
	<input type="submit" name="Update" class="adm-btn-save" value="<?=GetMessage("MAIN_SAVE")?>" title="<?=GetMessage("MAIN_OPT_SAVE_TITLE")?>">
	<input type="hidden" name="Update" value="Y">
	<?if(strlen($_REQUEST["back_url_settings"])>0):?>
		<input type="button" name="Cancel" value="<?=GetMessage("MAIN_OPT_CANCEL")?>" title="<?=GetMessage("MAIN_OPT_CANCEL_TITLE")?>" onclick="window.location='<?echo htmlspecialchars(CUtil::addslashes($_REQUEST["back_url_settings"]))?>'">
		<input type="hidden" name="back_url_settings" value="<?=htmlspecialchars($_REQUEST["back_url_settings"])?>">
	<?endif?>
	<input type="submit" name="RestoreDefaults" title="<?echo GetMessage("MAIN_HINT_RESTORE_DEFAULTS")?>" OnClick="return confirm('<?echo AddSlashes(GetMessage("MAIN_HINT_RESTORE_DEFAULTS_WARNING"))?>')" value="<?echo GetMessage("MAIN_RESTORE_DEFAULTS")?>">
</form>
<?$tabControl->End();?>