<?
use Bitrix\Main\Loader; 
use Bitrix\Main\Localization\Loc; 
use Bitrix\Main\Config\Option;

global $APPLICATION;

Loc::loadMessages(__FILE__); 

if (!Loader::includeModule("iblock"))
{
	$APPLICATION->ThrowException(Loc::getMessage('SCODER_ERROR_IBLOCK_NOT_INSTALLED'));
	return false;
}
if (!Loader::includeModule("highloadblock"))
{
	$APPLICATION->ThrowException(Loc::getMessage('SCODER_ERROR_HIGHLOADBLOCK_NOT_INSTALLED'));
	return false;
}
if (!Loader::includeModule("sale"))
{
	$APPLICATION->ThrowException(Loc::getMessage('SCODER_ERROR_SALE_NOT_INSTALLED'));
	return false;
}
if (!Loader::includeModule("catalog"))
{
	$APPLICATION->ThrowException(Loc::getMessage('SCODER_ERROR_CATALOG_NOT_INSTALLED'));
	return false;
}
if (!Loader::includeModule("scoder.api"))
{
	$APPLICATION->ThrowException(Loc::getMessage('SCODER_ERROR_SCODER_API_NOT_INSTALLED'));
	return false;
}
CModule::AddAutoloadClasses(
	"scoder.tools",
	array(
		"CScoderToolsEvents" => "classes/general/events.php",
		"CScoderTools" => "classes/general/main.php",
		"CScoderToolsAgents" => "classes/general/agents.php",
	)
);
?>
